Skip to main content
GET
/
allowlists
/
{allowlistId}
/
entries
Get all entries for an allowlist
curl --request GET \
  --url https://app.dynamicauth.com/api/v0/allowlists/{allowlistId}/entries \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.dynamicauth.com/api/v0/allowlists/{allowlistId}/entries"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.dynamicauth.com/api/v0/allowlists/{allowlistId}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 123,
  "entries": [
    {
      "id": "95b11417-f18f-457f-8804-68e361f9164f",
      "allowListId": "95b11417-f18f-457f-8804-68e361f9164f",
      "walletPublicKey": "<string>",
      "email": "jsmith@example.com",
      "emailDomain": "<string>",
      "phoneNumber": "<string>",
      "discordUsername": "<string>",
      "twitterUsername": "<string>",
      "farcasterUsername": "<string>",
      "farcasterFid": 123,
      "alias": "<string>",
      "externalUserId": "<string>"
    }
  ]
}
{
"error": "No jwt provided!"
}
{
"error": "Access Forbidden"
}
{
"error": "Method Not Allowed"
}
{
"error": "Internal Server Error"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

allowlistId
string
required

ID of the allowlist

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Query Parameters

orderBy
string

$COLUMN_NAME-asc|desc

Pattern: ^[A-Za-z]*-(asc|desc)$
Example:

"something-asc"

offset
integer
default:0

The number of items to skip before starting to collect the result set

Required range: x >= 0
limit
integer
default:20

The numbers of items to return

Required range: 1 <= x <= 100
query
string

Keywords to search for in alias, walletPublicKey, or email

Response

Get allowlist entries

count
integer
entries
object[]
Last modified on January 21, 2026